/*******************************************************************************
* File Name: teste.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_teste_H) /* Pins teste_H */
#define CY_PINS_teste_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "teste_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 teste__PORT == 15 && ((teste__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    teste_Write(uint8 value) ;
void    teste_SetDriveMode(uint8 mode) ;
uint8   teste_ReadDataReg(void) ;
uint8   teste_Read(void) ;
uint8   teste_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define teste_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define teste_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define teste_DM_RES_UP          PIN_DM_RES_UP
#define teste_DM_RES_DWN         PIN_DM_RES_DWN
#define teste_DM_OD_LO           PIN_DM_OD_LO
#define teste_DM_OD_HI           PIN_DM_OD_HI
#define teste_DM_STRONG          PIN_DM_STRONG
#define teste_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define teste_MASK               teste__MASK
#define teste_SHIFT              teste__SHIFT
#define teste_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define teste_PS                     (* (reg8 *) teste__PS)
/* Data Register */
#define teste_DR                     (* (reg8 *) teste__DR)
/* Port Number */
#define teste_PRT_NUM                (* (reg8 *) teste__PRT) 
/* Connect to Analog Globals */                                                  
#define teste_AG                     (* (reg8 *) teste__AG)                       
/* Analog MUX bux enable */
#define teste_AMUX                   (* (reg8 *) teste__AMUX) 
/* Bidirectional Enable */                                                        
#define teste_BIE                    (* (reg8 *) teste__BIE)
/* Bit-mask for Aliased Register Access */
#define teste_BIT_MASK               (* (reg8 *) teste__BIT_MASK)
/* Bypass Enable */
#define teste_BYP                    (* (reg8 *) teste__BYP)
/* Port wide control signals */                                                   
#define teste_CTL                    (* (reg8 *) teste__CTL)
/* Drive Modes */
#define teste_DM0                    (* (reg8 *) teste__DM0) 
#define teste_DM1                    (* (reg8 *) teste__DM1)
#define teste_DM2                    (* (reg8 *) teste__DM2) 
/* Input Buffer Disable Override */
#define teste_INP_DIS                (* (reg8 *) teste__INP_DIS)
/* LCD Common or Segment Drive */
#define teste_LCD_COM_SEG            (* (reg8 *) teste__LCD_COM_SEG)
/* Enable Segment LCD */
#define teste_LCD_EN                 (* (reg8 *) teste__LCD_EN)
/* Slew Rate Control */
#define teste_SLW                    (* (reg8 *) teste__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define teste_PRTDSI__CAPS_SEL       (* (reg8 *) teste__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define teste_PRTDSI__DBL_SYNC_IN    (* (reg8 *) teste__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define teste_PRTDSI__OE_SEL0        (* (reg8 *) teste__PRTDSI__OE_SEL0) 
#define teste_PRTDSI__OE_SEL1        (* (reg8 *) teste__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define teste_PRTDSI__OUT_SEL0       (* (reg8 *) teste__PRTDSI__OUT_SEL0) 
#define teste_PRTDSI__OUT_SEL1       (* (reg8 *) teste__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define teste_PRTDSI__SYNC_OUT       (* (reg8 *) teste__PRTDSI__SYNC_OUT) 


#if defined(teste__INTSTAT)  /* Interrupt Registers */

    #define teste_INTSTAT                (* (reg8 *) teste__INTSTAT)
    #define teste_SNAP                   (* (reg8 *) teste__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_teste_H */


/* [] END OF FILE */
